create table parameters (name varchar2(32), value number);

insert into parameters values ('retention',7);
insert into parameters values ('retention statspack',7);

create table l_ash 
(inst_id number,
sample_id  number,
sample_time timestamp(6),
session_id number,
session_serial#  number,
user_id number,
sql_id varchar2(13),
sql_child_number number,
sql_opcode number,
sql_plan_hash_value number,
blocking_session  number,
blocking_session_status varchar2(11),
xid raw(8),
event# number,
p1 number,
p2 number,
p3 number,
wait_time number,
time_waited number,
current_obj# number,
current_file# number,
current_block# number,
program varchar2(48),
module varchar2(64),
action varchar2(64),
client_id varchar2(64),
service_hash number,
session_type varchar2(64),
session_state varchar2(7),
wait_class_id number,
blocking_inst_id number,
sql_exec_id number,
sql_exec_start date,
plsql_entry_object_id number,
plsql_entry_subprogram_id number,
plsql_object_id number,
plsql_subprogram_id number,
resource_consumer_group varchar2(64),
machine varchar2(64),
con_id number
)
pctfree 0 pctused 99
/


create index l_ash_idx on l_ash (sample_time);
